Subject: [Ltru] Re: [psg.com #1026] what to do about Guernsey and Jersey

From: "Doug Ewell" <[email-masked]>
Date: Sat, 11 Jun 2005 15:18:51 -0700

Randy Presuhn <randy underscore presuhn at mindspring dot com> wrote:

> Ok, it sounds like we have a rough consensus to take no special action
> for Guernsey and Jersey, so I'll mark this item "rejected".

What does this mean?  That we add the two numeric codes to the registry,
or that we do not?  To my mind, NOT adding them is what I would consider
"special action."

--
Doug Ewell
Fullerton, California
http://users.adelphia.net/~dewell/

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru

---

From: "Randy Presuhn" <[email-masked]>
Date: Sat, 11 Jun 2005 15:53:20 -0700

Hi -

> From: "Doug Ewell" <[email-masked]>
> To: "LTRU Working Group" <[email-masked]>
> Sent: Saturday, June 11, 2005 3:18 PM
> Subject: [Ltru] Re: [psg.com #1026] what to do about Guernsey and Jersey
>

> or that we do not?  To my mind, NOT adding them is what I would consider
...

No changes required to the registry draft.
The initial registry would have the numeric codes, since that's what
would result in the absence of special rules, right?

Rand

---

From: "Doug Ewell" <[email-masked]>
Date: Sat, 11 Jun 2005 18:47:13 -0700

Frank Ellermann <nobody at xyzzy dot claranet dot de> wrote:

> Let Doug remove it.

Let the WG remove it, with the chairs' declaration of consensus, and
Doug will be happy to do the mechanical work.

> But I'm worried about the TL -> XX bug,
> we discussed this for weeks, why is it still incorrect in -04 ?

The outcome of the discussion, IIRC, was that a given Preferred-Value
field could be added exactly once, and not changed thereafter.  If this
was, in fact, the way the issue was resolved, then the draft is correct
in reflecting that.

> Could we please run a simulation, Doug plays tag reviewer, and
> we fire some registration requests (based on some hypothetical
> events like "TL" wants to be "XX", or the UN assigns 888 to
> "Somaliland" - a part of the former and now defunct "Somalia")

Sure.

Example 1:  Timor-Leste (TL), formerly East Timor (TP), decides to
change its name again, this time to Timor-Est (forsaking
"Portuguese-everywhere" for "German-everywhere").  ISO 3166 assigns the
code element TE and withdraws TL.  The UN code is unaffected.

Registry details (chronological order, not alphabetical):

Type: region
Subtag: TP
Description: East Timor
Added: 2004-07-06
Preferred-Value: TL
Deprecated: 2002-11-15
%%
Type: region
Subtag: TL
Description: Timor-Leste
Added: 2004-07-06
Preferred-Value: TE
Deprecated: 2006-01-01
%%
Type: region
Subtag: TE
Description: Timor-Est
Added: 2006-01-01

Notice that TP points to TL, and TL points to TE.  Thus, following the
daisy chain, the true Preferred Value for TP should actually be TE, not
TL.  This is consistent with the passage in Section 3.1 that says, "The
field 'Preferred-Value' MUST NOT be modified once created in the
registry."  However, it seems to contradict the passage in the same
section that says, "Thie [sic] field 'Preferred-Value' contains a
mapping between the record in which it appears and a tag or subtag which
should be preferred when selected language tags."  In fact, TE should be
preferred, not TL.

Example 2:  Somaliland's claim to independence is recognized by the UN,
which assigns it the code 888 (Frank's choice) and assigns 708 to the
new, smaller Somalia (withdrawing 706).  Some time after, ISO 3166
assigns the code element SP to Somaliland (not having had the good sense
to use it in 2003 instead of CS).  The remaining portion of Somalia
retains SO.

Registry details (chronological order, not alphabetical):

Type: region
Subtag: SO
Description: Somalia
Added: 2004-07-06
%%
Type: region
Subtag: SP
Description: Somaliland
Added: 2006-01-01

Notice that there is no Preferred-Value involved.  SP is a completely
new ISO 3166 code, and even though the old SO now corresponds to a
different UN numeric code (708 instead of 706), this is irrelevant to
the process of adding new subtags because no new ISO 3166 code was
created that conflicts with existing subtags.

Notice also that a subtag for Somaliland is not added in response to the
UN addition, but only when ISO adds their code.  The way I read the
draft, the rules for the initial registry (use whatever is in the core
standards) differ from the rules for maintaining it (use UN codes only
when stability requires it).  It also implies that when the UN macro
codes are changed, which just happened a few months ago, the registry is
not changed to match.

As a side note, the following text in Section 4.3 should be changed to
refer to a valid example:

"Example: The language tag "en-NH" (English as used in the New Hebrides)
is not canonical because the 'NH' subtag has a canonical mapping to 'VU'
(Vanuatu), although the tag "en-NH" maintains its validity."

NH was invalidated when Date A was established.  Yes, I know it's the
11th hour, but it should be quick and easy to replace this non-normative
example.

---

From: Frank Ellermann <[email-masked]>
Date: Sun, 12 Jun 2005 05:15:33 +0200

> Let the WG remove it, with the chairs' declaration of
> consensus, and Doug will be happy to do the mechanical
> work.

Yeah, that's what I meant, IIRC nobody but Mark, John, you,
and me ever discussed it, and I guess that Mark won't insist
on the 200 if that means more than one additional second of
discussions.  Admittedly I forgot John's position about 200,
and maybe Randy likes this odd code, so I can't guess where
we are exactly in the "rough.  Must be the 17th hole.

 ["frozen" Preferred-Value]
> If this was, in fact, the way the issue was resolved, then
> the draft is correct in reflecting that.

Indirections over several hops make no sense from my POV, but
as long as they finally arrive at the one and only actual sub-
tag it's a minor issue.

But I'd still like to see the article where that was declared
to be the resolution, ticket number and Randy's stamp, maybe I
only missed it => my problem.

>> Could we please run a simulation, Doug plays tag reviewer
[...]
> Sure.

[...]
> Notice that TP points to TL, and TL points to TE.

Okay, that works, modulo one unnecessary indirection from TP.

And if they added XX forgetting to deprecate TL ?  Apparently
they do whatever pleases them, and whenever it pleases them.

We're building on quicksand in the case of ISO 3166-1 codes.

> it seems to contradict the passage in the same section that
> says, "Thie [sic] field 'Preferred-Value' contains a mapping
> between the record in which it appears and a tag or subtag
> which should be preferred when selected language tags."  In
> fact, TE should be preferred, not TL.

Okay, let Addison and Mark fix this in draft -05.  We have 36
hours to make the cut-off for Monday's draft submissions.

> Example 2:  Somaliland's claim to independence is recognized
> by the UN, which assigns it the code 888 (Frank's choice)
> and assigns 708 to the new, smaller Somalia (withdrawing
> 706).

Nice, but I don't insist on the logical 708.  We have seen for
830 => 831 + 882 vs. 830 + 831 + 832 that these UN assignments
are not always logical.

> Some time after, ISO 3166 assigns the code element SP to
> Somaliland (not having had the good sense to use it in 2003
> instead of CS).  The remaining portion of Somalia retains SO.

> Added: 2004-07-06

Okay (now 708, was 706, maybe you'd add a comment about this)

> Added: 2006-01-01

Okay.  That was "draft -04 as is".  What about the period when
888 already existed, just say "no, you must wait for ISO 3166-1"
to Debbie / Karen / Mark / Peter on the languages list ?  In
the worst case they wait forever, or have to submit a 3066ter ?

> The way I read the draft, the rules for the initial registry
> (use whatever is in the core standards) differ from the rules
> for maintaining it (use UN codes only when stability requires
> it).

IMHO that's a dubious plan, as we have seen for 831...833.  Or
in this example 888.

> It also implies that when the UN macro codes are changed,
> which just happened a few months ago, the registry is not
> changed to match.

No problem from my POV.  BTW, what was the resolution for the
dubious 003 ?  You still have it in "File-Date: 2005-06-05".

> 4.3 should be changed to refer to a valid example:

> "Example: The language tag "en-NH" (English as used in the
> New Hebrides) is not canonical because the 'NH' subtag has
> a canonical mapping to 'VU' (Vanuatu), although the tag
> "en-NH" maintains its validity."

Indeed.  We've discussed this how often now, four times, about
once per month since LTRU was established ?

> it should be quick and easy to replace this non-normative
> example.

Mark fighted hard for date-A 1988 allowing to keep BU, so let's
use BU -> MM instead of NH -> VU.  Or ZR -> CD.  Or YU -> CS.

                        Bye, Frank

---

From: "John.Cowan" <[email-masked]>
Date: Sat, 11 Jun 2005 23:52:47 -0400

> discussions.  Admittedly I forgot John's position about 200,

My position is that it should go.

> 830 => 831 + 882 vs. 830 + 831 + 832 that these UN assignments

830 has never included the Isle of Man.

-- 
First known example of political correctness:   John Cowan
After Nurhachi had united all the other         http://www.reutershealth.com
Jurchen tribes under the leadership of the      http://www.ccil.org/~cowan
Manchus, his successor Abahai (1592-1643)       [email-masked]
issued an order that the name Jurchen should       --S. Robert Ramsey,
be banned, and from then on, they were all         The Languages of China
to be called Manchus.

---

From: Frank Ellermann <[email-masked]>
Date: Sun, 12 Jun 2005 06:37:54 +0200

John.Cowan wrote:

>> We have seen for 830 => 831 + 882 vs. 830 + 831 + 832 that
>> these UN assignments are not always logical.
 
> 830 has never included the Isle of Man.

Yes, IM is 833.  Are we now all in a "last call" frenzy ?  <g>